Get Prefund status

There are two ways to get this done.

  • Listening for payment webhooks: We covered how to create a webhook listener here in the getting setup guide - if you haven't done this already, go back to this step to get ready to receive webhooks.
  • Calling get order-details API (API link): You can retrieve directly the latest status by specifying the order ID as a path parameter.
    curl --location 'https://sandbox-api.transfi.com/v3/orders/PF-2512221500071811800' \
    --header 'mid: SAH1N3_NA_NA' \
    --header 'Authorization: Basic =='
    {
      "status": "success",
      "data": {
        "orderId": "OR-250428100239802",
        "type": "buy",
        "depositCurrency": "EUR",
        "depositAmount": 100,
        "withdrawCurrency": "USDC",
        "withdrawAmount": 113.493896,
        "status": "initiated",
        "senderName": {
          "firstName": "John",
          "lastName": "Doe"
        },
        "mid": "TSAJOG_NA_NA",
        "fees": {
          "networkFee": 0.15,
          "processingFee": 0,
          "fixedFee": {
            "totalFixedFees": 0,
            "totalFixedTfFees": 0,
            "totalFixedCxFees": 0,
            "fixedFeesCurrency": ""
          },
          "feeMode": "percentage"
        },
        "partnerId": "",
        "bankTxnId": [],
        "exchangeRate": 1.136643922421779,
        "userId": "RE-240912102233213"
      }
    }